# Administration Reference

## dpass

Purpose

Returns the DCE password for a new DCE account

Synopsis

    dpass [-cell <original AFS cell name>]  [-help]

    dpass [-c <original AFS cell name>]  [-h]

Description

The dpass command returns the DCE password that an administrator assigned to the issuer when using the dm pass command to migrate AFS user accounts into a DCE cell.

The dpass command, issued on an AFS client, requests the issuer's new DCE password from the AFS cell specified with the -cell argument.

The issuer must be authenticated as the AFS user whose AFS account was moved into DCE, and be able to provide the user's AFS password when prompted by the dpass command.

Options

-cell
  Specifies the name of the AFS cell from which the AFS account was moved into DCE and from which to fetch the new DCE password.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

By default, the dpass command writes a message similar to the following to the standard output stream.

       Please read the following message before entering your password.

       This program will display your new, temporary DCE password on your
       terminal, and you should change the assigned password as soon as
       possible (from a DCE client).  The program assumes that the AFS cell
       uses the AFS Authentication Server and that an administrator used the
       utilities in the AFS/DFS Migration Toolkit to migrate the account from
       AFS to DCE. The password you enter should be the AFS password that was
       in effect when your DCE account was created; this is not necessarily
       the same password you have at the moment.  The cell name (which you
       may override with a command line option), must be the name of the AFS
       cell from which the authentication information was taken.

To suppress this message, set the DPASS_NO_MESSAGE environment variable. It is then possible to substitute a customized message if desired by using a script similar to the following example:

       #! /bin/csh
       echo "Start of customized message"
       echo "Continuation of customized message"
         .
         .
         .
       echo "Conclusion of customized message"
       setenv DPASS_NO_MESSAGE
       dpass $*

After the standard or customized message, if any, the dpass command generates the following prompt for the original AFS password:

       Original password for AFS cell cell:
       Re-enter password to verify:

If the AFS passwords match and are correct, the command reports the temporary DCE password in the following message.

       The new DCE password is: Issuer's_temporary_DCE_password

Examples

The following example returns the DCE password of the issuer, whose AFS account is in the abc.com cell. The DPASS_NO_MESSAGE variable has been set to suppress the standard message.

       % dpass
       Original password for AFS cell abc.com: Issuer's_AFS_password
       Re-enter password to verify: Issuer's_AFS_password
       The new DCE password is: 8655--eg8e-dcdc-8157

Privilege Required

The issuer must be authenticated as the AFS user for whom to display the corresponding DCE password.

Related Information

dlog

dm pass reference page in AFS/DFS Migration Toolkit Administration Guide and Reference

© IBM Corporation 2000. All Rights Reserved